SOLVED! Trouble setting up

After re-installing ruby and doing countless `bundle install`s I keep on getting this error when I try to run debug, pease help:

Uncaught exception: cannot load such file -- js_regex

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `block in require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:232:in `load_dependency'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /home/elena/.bundler/ruby/2.2.0/client_side_validations-9942c8cc822d/lib/client_side_validations/core_ext/regexp.rb:1:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `block in require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:232:in `load_dependency'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /home/elena/.bundler/ruby/2.2.0/client_side_validations-9942c8cc822d/lib/client_side_validations/core_ext.rb:3:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `block in require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:232:in `load_dependency'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /home/elena/.bundler/ruby/2.2.0/client_side_validations-9942c8cc822d/lib/client_side_validations/active_model.rb:1:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `block in require'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:232:in `load_dependency'

 /usr/local/lib/ruby/gems/2.2.0/gems/activesupport-4.1.6/lib/active_support/dependencies.rb:247:in `require'

 /home/elena/.bundler/ruby/2.2.0/client_side_validations-9942c8cc822d/lib/client_side_validations.rb:5:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler/runtime.rb:77:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler/runtime.rb:77:in `block (2 levels) in require'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler/runtime.rb:72:in `each'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler/runtime.rb:72:in `block in require'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler/runtime.rb:61:in `each'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler/runtime.rb:61:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/bundler-1.11.2/lib/bundler.rb:99:in `require'

 /home/elena/Dev/tibdit-application/config/application.rb:7:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/commands/commands_tasks.rb:79:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/commands/commands_tasks.rb:79:in `block in server'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/commands/commands_tasks.rb:76:in `tap'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/commands/commands_tasks.rb:76:in `server'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/commands/commands_tasks.rb:40:in `run_command!'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/commands.rb:17:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/app_rails_loader.rb:43:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/app_rails_loader.rb:43:in `block in exec_app_rails'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/app_rails_loader.rb:32:in `loop'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/app_rails_loader.rb:32:in `exec_app_rails'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/lib/rails/cli.rb:5:in `<top (required)>'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/bin/rails:9:in `require'

 /usr/local/lib/ruby/gems/2.2.0/gems/railties-4.1.6/bin/rails:9:in `<top (required)>'

 /home/elena/Dev/tibdit-application/bin/rails:16:in `load'

 /home/elena/Dev/tibdit-application/bin/rails:16:in `<top (required)>'


My gem file:

ruby '2.2.1'

source 'http://rubygems.org'


gem 'rails', '4.1.6'

gem 'sass-rails', '~> 5.0'

gem 'uglifier', '>= 1.3.0'

gem 'coffee-rails'

gem 'node', platforms: :ruby

gem 'jquery-rails', '~> 3.1.0'

gem 'jbuilder', '~> 2.0'

gem 'awesome_print'

gem 'devise', '~> 3.5.1'

gem 'opengraph_parser'

gem 'blockchain'

gem 'block_io'

gem 'newrelic_rpm'

gem 'byebug'

gem 'geoip'

gem 'metainspector', '~> 4.7.2'


gem 'sidekiq'

gem 'htmlentities'

gem 'redis-rails'

gem 'redis-namespace'

gem 'redis'

gem 'redis-rack-cache'

gem 'faraday-http-cache'


gem 'haml'


gem 'uuid'


gem 'curb'

gem 'pismo'

gem 'draper'

gem 'bootstrap-sass'

gem 'autoprefixer-rails'

gem 'select2-rails'


gem 'nokogiri'

gem 'rack-rewrite'


gem 'font-awesome-rails'


gem 'workflow'

gem 'ruby-graphviz'


gem 'execjs'

gem 'therubyracer', :platforms => :ruby # helps execjs run

gem 'kaminari'


gem 'client_side_validations', github: 'DavyJonesLocker/client_side_validations'

gem 'activerecord-session_store'

gem 'exception_notification', '4.0.1'


gem 'pg'

gem 'valid_email', require: 'valid_email/validate_email'

gem 'devise_zxcvbn', github: 'bitzesty/devise_zxcvbn'


group :doc do

  gem 'sdoc', '~> 0.4.0'

end


gem 'cryptopay'

gem 'bitbank'

gem 'bitcoin-ruby', require: 'bitcoin'

gem 'tzinfo-data'

gem 'omniauth-google-oauth2', '~> 0.2.8'

gem 'omniauth-linkedin-oauth2'

gem 'omniauth-facebook'

gem 'omniauth-github'

gem 'twitter'

gem 'omniauth-twitter'

gem 'rest-client', '~> 1.6.3'

gem 'griddler'

gem 'griddler-mandrill'


group :development, :test do

 gem 'logstasher'

  gem 'spring'

  gem 'better_errors'

 gem 'rspec-rails'

 gem 'factory_girl_rails'

end


group :test do

 gem "mailcatcher"

 gem "faker"

 gem "capybara"

 gem "database_cleaner"

 gem "launchy"

 gem "poltergeist"

end


group :heroku, :production do

 gem 'rails_12factor'

 gem 'puma'

end


gem 'materialize-sass'

gem 'es5-shim-rails'

gem 'prefixfree-rails'

4 comments
Comment actions Permalink

This happens only when you debug application?

0
Comment actions Permalink

Also what happens when you run  budnle install from terminal?

0
Comment actions Permalink

Everything installs fine. I see this in the rubymine terminal.
I can run rails server fine from terminal

0
Comment actions Permalink

Solved it by uninstalling activerecord and installing it again, then deleted the Gemfile.lock and ran

bundle install --path vendor/cache
from this answer.
My colleague and I think that something went wrong when I installed Bundler and that
--path vendoe/cache
param fixed it but we're not sure and the stackoverflow answer didn't have an explanation either..
0

Please sign in to leave a comment.